import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot.js';

const csvUrl = [
  'https://gist.githubusercontent.com/curran/',
  'a08a1080b88344b0c8a7/raw/iris.csv',
].join('');

const xAcc = (d) => d.petal_length;
const yAcc = (d) => d.sepal_length;

const parseRow = (d) => {
  d.sepal_length = +d.sepal_length;
  d.sepal_width = +d.sepal_width;
  d.petal_length = +d.petal_length;
  d.petal_width = +d.petal_width;
  return d;
};
const m = {
  top: 30,
  right: 20,
  bottom: 50,
  left: 50,
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  const data = await csv(csvUrl, parseRow);
  //   svg
  //     .selectAll('circle')
  //     .data(marks)
  //     .join('circle')
  //     .attr('cx', (d) => d.x)
  //     .attr('cy', (d) => d.y)
  //     .attr('r', 5);

  //   svg
  //     .append('g')
  //     .attr('transform', `translate(${m.left}, 0)`)
  //     .call(axisLeft(y));

  //   svg
  //     .append('g')
  //     .attr(
  //       'transform',
  //       `translate(0, ${height - m.bottom})`
  //     )
  //     .call(axisBottom(x));

  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(data)
      .xValue((d) => d.petal_length)
      .yValue((d) => d.sepal_length)
      .margin({
        top: 30,
        right: 20,
        bottom: 50,
        left: 50,
      })
      .radius(5)
  );
};

main();
